Bug 602667 - [PATCH] [abrt] evolution-2.28.3-3.el6: camel_msgport_try_pop, camel_operation_cancel_check, regen_list_done
[PATCH] [abrt] evolution-2.28.3-3.el6: camel_msgport_try_pop, camel_operation...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: evolution (Show other bugs)
6.0
x86_64 Linux
low Severity medium
: beta
: ---
Assigned To: Matthew Barnes
Desktop QE
abrt_hash:d521955ad4e600a034630f282ee...
: OtherQA, Patch, Reopened
: 617005 731928 845053 911075 (view as bug list)
Depends On:
Blocks: 782183 835616 840699
  Show dependency treegraph
 
Reported: 2010-06-10 08:52 EDT by Ben Woodard
Modified: 2013-11-20 23:57 EST (History)
12 users (show)

See Also:
Fixed In Version: evolution-2.32.3-3.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-20 23:57:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (50.36 KB, text/plain)
2010-06-10 08:52 EDT, Ben Woodard
no flags Details
test patch (5.76 KB, text/plain)
2010-07-22 10:08 EDT, Milan Crha
no flags Details
evo patch (455 bytes, patch)
2010-11-16 03:37 EST, Milan Crha
no flags Details | Diff
File: backtrace (75.55 KB, text/plain)
2013-03-30 04:42 EDT, David Jaša
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Legacy) 33839 None None None Never
Red Hat Product Errata RHSA-2013:1540 normal SHIPPED_LIVE Low: evolution security, bug fix, and enhancement update 2013-11-20 19:40:51 EST

  None (edit)
Description Ben Woodard 2010-06-10 08:52:31 EDT
abrt version: 1.1.5
architecture: x86_64
Attached file: backtrace
cmdline: evolution
component: evolution
crash_function: camel_msgport_try_pop
executable: /usr/bin/evolution
global_uuid: d521955ad4e600a034630f282eec6a94885fcfaa
kernel: 2.6.32-33.el6.x86_64
package: evolution-2.28.3-3.el6
rating: 4
reason: Process /usr/bin/evolution was killed by signal 11 (SIGSEGV)
release: Red Hat Enterprise Linux release 6.0 Beta (Santiago)
time: 1276174225
uid: 500

How to reproduce
-----
1. Just reading messages
2.
3.
Comment 1 Ben Woodard 2010-06-10 08:52:34 EDT
Created attachment 422896 [details]
File: backtrace
Comment 3 RHEL Product and Program Management 2010-06-10 09:03:25 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 4 Ben Woodard 2010-06-10 09:42:51 EDT
One additional datapoint. I noticed after the fact that the vpn had dropped and I may have had a partial communication with a server or may have been reading email offline when this happened.
Comment 5 Milan Crha 2010-06-11 03:20:23 EDT
Thanks for a bug report. This [1] is a corresponding upstream bug, though it is closed due to lack of information without any fix. Are you able to reproduce this reliably with some steps? Maybe under valgrind? It seems to me like some kind of bad coincidence.

If you'll try with valgrind, please do also:
   $ export G_SLICE=always-malloc
before you run it.

[1] https://bugzilla.gnome.org/show_bug.cgi?id=595968
Comment 6 Ben Woodard 2010-06-14 11:48:49 EDT
no I'm not able to reproduce it in any reliable way. it seems to crop up periodically though. It has happened 2-3x.

The problem with using valgrind to try to capture it is that it makes evolution run as slow as a dog and trying to make day to day use of it when it under valgrind.

Can you look a bit more deeply at the backtraces and see if you can see something. I'm willing to take an instrumented build which supplies more of its own clues as to where the problem is.
Comment 7 Issue Tracker 2010-06-14 12:11:54 EDT
Event posted on 2010-06-14 09:11 PDT by woodard

it might just coincidental but this message is frequently emitted on the
console when I'm working with evolution. Maybe if we can track down why
camel is emitting warnings and resolve that, maybe we can get to the root
cause of this problem.

(evolution:24562): camel-WARNING **: camel_exception_get_id called with
NULL parameter.




This event sent from IssueTracker by woodard 
 issue 1002573
Comment 8 Issue Tracker 2010-06-14 12:18:15 EDT
Event posted on 06-14-2010 12:18pm EDT by kbaxley

I got the same thing as well, when trying to reproduce the crash using
valgrind.  Lots of the same messages that Ben is reporting, and valgrind
slowed to a point that evo is almost unusable.


This event sent from IssueTracker by kbaxley 
 issue 1002573
Comment 9 Ben Woodard 2010-06-25 09:31:51 EDT
I have an additional clue. The crash seems to be related to the drop of the vpn. So the sequence of events seems to be. I'm over at one account that doesn't need a VPN, e.g. gmail and while I'm reading email over there. The vpn drops. Then I click on the account e.g. Red Hat which does require the VPN and there is a few second pause then poof. It is only then that I discover that the problem is that the VPN has dropped.
Comment 10 RHEL Product and Program Management 2010-07-15 10:31:33 EDT
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release. It has
been denied for the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **
Comment 13 Milan Crha 2010-07-22 04:27:07 EDT
*** Bug 617005 has been marked as a duplicate of this bug. ***
Comment 14 Milan Crha 2010-07-22 10:08:28 EDT
Created attachment 433712 [details]
test patch

This is a test patch for evolution, which will print some useful debug information on console, because I was unable to reproduce this myself, dropping/connecting my vpn anyhow. I also built evolution test package for it [1], but it's only i386 version, thus probably unusable for you.

Anyway, with this patch, please run evolution always from console, can be like this:
   $ evolution &>evo.log

and use it like before. When it crashes with that camel_msgport_try_pop, then please place here evo.log, but as it's quite chatty then last not more than 100 lines should be sufficient. I suspect some line before the crash will contain "activity_state == 3" in it. Please give here also backtrace, where will be shown the address, so we can match it.

When you test this, and it'll show this line, then please run evolution again, but this time as this:
   $ BUG602667=1 evolution &>evo.log
and try to use it like before, the best if it'll play with your vpn, even that's nothing you can influence much, I know. Anyway, with this variable set it shouldn't crash, it should write to evo.log line containing "activity_state == 3, but didn't", which should proof the fix works. Please attach such log, because I want to check whether the memory is freed as expected.

Thanks in advance.

[1] http://madtux.brq.redhat.com/evolution/
Comment 15 Issue Tracker 2010-07-22 11:24:19 EDT
Event posted on 07-22-2010 11:24am EDT by tgummels

Milan,

Would it be possible to have an x86_64 package built?  Customer is more
than willing to test it out, just need the right arch.

Thanks
Travis

Internal Status set to 'Waiting on Engineering'

This event sent from IssueTracker by tgummels 
 issue 1002573
Comment 16 Milan Crha 2010-07-22 16:36:53 EDT
Owen helped me how to build with brew, so here are packages available:
https://brewweb.devel.redhat.com/taskinfo?taskID=2619221

Note they will be automatically erased in a week or so. If you cannot get there, then I can copy them to my machine.
Comment 19 Denise Dumas 2010-08-03 14:19:49 EDT
This moves to 6.1 unless we get imeediate feedback on the rebuilt package
Comment 22 Matthew Barnes 2010-08-10 17:52:24 EDT
New test packages are here:
https://brewweb.devel.redhat.com/taskinfo?taskID=2672996

This is evolution-2.28.3-10.el6 + Milan's test patch for this bug.
Comment 27 Milan Crha 2010-11-16 03:37:39 EST
Created attachment 460771 [details]
evo patch

for evolution;

I tried to cheat the code a bit to test this and the change seems to be correct, when I remove this mail_msg_free call then evolution doesn't crash. Based on my test prints the msg structure seems to be properly freed, neither valgrind claims anything new.

With respect of reproducer steps:
I'm not aware of any exact steps to reproduce this, as this seems to be related to timing and some issues with the operation - the operation should be cancelled before it gets to the status bar.
Comment 29 RHEL Product and Program Management 2011-07-05 20:23:18 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.
Comment 32 Milan Crha 2011-08-19 07:11:11 EDT
*** Bug 731928 has been marked as a duplicate of this bug. ***
Comment 37 Milan Crha 2012-08-02 02:54:19 EDT
*** Bug 845053 has been marked as a duplicate of this bug. ***
Comment 42 Milan Crha 2013-02-18 04:28:32 EST
*** Bug 911075 has been marked as a duplicate of this bug. ***
Comment 45 David Jaša 2013-03-30 04:41:54 EDT
evo crashed after search in email folder was started and computer was effectively offline, and evo was put offline manually in the process.

backtrace_rating: 4
Package: evolution-2.28.3-30.el6
OS Release: Red Hat Enterprise Linux Workstation release 6.4 (Santiago)
Comment 46 David Jaša 2013-03-30 04:42:33 EDT
Created attachment 718224 [details]
File: backtrace
Comment 50 Laura Novich 2013-06-16 05:30:36 EDT
Marking this with DOCS_SCOPED - as this issue will not be documented in the Virtualization Administration Guide
Comment 54 errata-xmlrpc 2013-11-20 23:57:03 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-1540.html

Note You need to log in before you can comment on or make changes to this bug.